Subject: Re: [PATCH v4 net-next 0/2] add ppp_generic ioctl(s) to bridge channels

From: Tom Parkin <[email-masked]>
Date: Thu, 10 Dec 2020 17:16:45 +0000

On  Thu, Dec 10, 2020 at 18:13:09 +0100, Guillaume Nault wrote:
> On Thu, Dec 10, 2020 at 03:50:56PM +0000, Tom Parkin wrote:
> > Following on from my previous RFC[1], this series adds two ioctl calls
> > to the ppp code to implement "channel bridging".
> > 
> > When two ppp channels are bridged, frames presented to ppp_input() on
> > one channel are passed to the other channel's ->start_xmit function for
> > transmission.
> > 
> > The primary use-case for this functionality is in an L2TP Access
> > Concentrator where PPP frames are typically presented in a PPPoE session
> > (e.g. from a home broadband user) and are forwarded to the ISP network in
> > a PPPoL2TP session.
> 
> Looks good to me now. Thanks Tom!
> 
> Reviewed-by: Guillaume Nault <[email-masked]>
> 

Thanks again for your review and help with the series :-)